commit:     7758cde8df47c3b631da7f4bf8caaa1a9f1ac540
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 29 04:56:36 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Aug 29 05:00:25 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7758cde8

x11-terms/kitty-terminfo: add 0.26.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 x11-terms/kitty-terminfo/Manifest                  |  1 +
 .../kitty-terminfo/kitty-terminfo-0.26.0.ebuild    | 23 ++++++++++++++++++++++
 2 files changed, 24 insertions(+)

diff --git a/x11-terms/kitty-terminfo/Manifest 
b/x11-terms/kitty-terminfo/Manifest
index 96283c4cadf3..d9ff49c233df 100644
--- a/x11-terms/kitty-terminfo/Manifest
+++ b/x11-terms/kitty-terminfo/Manifest
@@ -1 +1,2 @@
 DIST kitty-0.25.2.tar.xz 4681940 BLAKE2B 
9aa43711c833541f364100465dfd1c13251ed59d5777634a5f193cc0544743295a772de85c64b4657e2cbca3d88f77019b0fe26b25c8b0908c1cc108b480ecf6
 SHA512 
ac858b525abbdeb137989a7971c51651d46bffedde048ed572bbb4c31119a4e0f9f424edbdbfd14fe2e043b4a7c8a1a1f8ee6591906e40a655d9f783b21f31a6
+DIST kitty-0.26.0.tar.xz 4719488 BLAKE2B 
02e06ed8dd6bfdca789efe53211a27855582b2baa845558efd454a9ee8d2d6a71749f8baaad6ac6ba3f5b0878b2786302a26be190dec544488c3918de70ab581
 SHA512 
e8e041cb8cbe8560e35126d9f717111e0094ef9dd260ade07017f36d8e8e18fd4198cf186198b78089b8a05baa98a512d273b24b7f3f0d4f9f6d06107eb76c58

diff --git a/x11-terms/kitty-terminfo/kitty-terminfo-0.26.0.ebuild 
b/x11-terms/kitty-terminfo/kitty-terminfo-0.26.0.ebuild
new file mode 100644
index 000000000000..35ff98034a87
--- /dev/null
+++ b/x11-terms/kitty-terminfo/kitty-terminfo-0.26.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Terminfo for kitty, a GPU-based terminal emulator"
+HOMEPAGE="https://sw.kovidgoyal.net/kitty/";
+SRC_URI="https://github.com/kovidgoyal/kitty/releases/download/v${PV}/kitty-${PV}.tar.xz";
+S="${WORKDIR}/kitty-${PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+RESTRICT="test" # intended to be ran on the full kitty package
+
+BDEPEND="sys-libs/ncurses"
+
+src_compile() { :; }
+
+src_install() {
+       dodir /usr/share/terminfo
+       tic -xo "${ED}"/usr/share/terminfo terminfo/kitty.terminfo || die
+}

Reply via email to